<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem name="voc" revision="61" url="http://codecenter.sgu.ru:8081/polygon/p/vasilevskiy.boris/voc">
    <judging input-file="" output-file="">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>67108864</memory-limit>
            <test-count>27</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test cmd="gen_rand 1543 3 3 6 5 0" method="generated"/>
                <test cmd="gen_rand 8245425 3 4 7 4 0" method="generated"/>
                <test cmd="gen_rand 2346 5 8 23 5 0" method="generated"/>
                <test cmd="gen_rand 83465 6 8 30 10 1" method="generated"/>
                <test cmd="gen_rand 9475 5 4 13 6 2" method="generated"/>
                <test cmd="gen_rand 3756 6 6 31 7 1" method="generated"/>
                <test cmd="gen_rand 2562 6 6 25 5 2" method="generated"/>
                <test cmd="gen_rand 94756 10 14 123 8 0" method="generated"/>
                <test cmd="gen_rand 37595 100 10 780 9 0" method="generated"/>
                <test cmd="gen_rand 925 10 100 700 10 2" method="generated"/>
                <test cmd="gen_rand 92357 10 15 113 15 1" method="generated"/>
                <test cmd="gen_rand 72858 20 10 143 15 1" method="generated"/>
                <test cmd="gen_rand 239017 73 2000 1013 10 2" method="generated"/>
                <test cmd="gen_rand 84341 1000 50 20000 13 0" method="generated"/>
                <test cmd="gen_rand 736462 5000 6000 20000 15 0" method="generated"/>
                <test cmd="gen_rand 93474 5000 5000 100000 15 0" method="generated"/>
                <test cmd="gen_rand 86458 7000 10 60000 15 0" method="generated"/>
                <test cmd="gen_rand 23456 7000 7000 100000 15 2" method="generated"/>
                <test cmd="gen_rand 928635 80000 100 100000 15 0" method="generated"/>
                <test cmd="gen_rand 346724 100 80000 100000 15 0" method="generated"/>
                <test cmd="gen_rand 24572 50000 50000 100000 15 2" method="generated"/>
                <test cmd="gen_rand 62356 80000 30000 100000 15 2" method="generated"/>
                <test cmd="gen_max 735742 0" method="generated"/>
                <test cmd="gen_max 23563 1" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/problem.tex"/>
        </resources>
        <executables>
            <executable>
                <source>
                    <file path="files/gen_max.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/gen_max.exe" type="exe.win32"/>
                </binary>
            </executable>
            <executable>
                <source>
                    <file path="files/validator.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/validator.exe" type="exe.win32"/>
                </binary>
            </executable>
            <executable>
                <source>
                    <file path="files/main.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/main.exe" type="exe.win32"/>
                </binary>
            </executable>
            <executable>
                <source>
                    <file path="files/gen_rand.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/gen_rand.exe" type="exe.win32"/>
                </binary>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::fcmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++"/>
            <binary path="check.exe" type="exe.win32"/>
        </checker>
        <validator>
            <source path="files/validator.cpp" type="cpp.g++"/>
            <binary path="files/validator.exe" type="exe.win32"/>
        </validator>
        <solutions>
            <solution tag="main">
                <source path="solutions/voc_ka.dpr" type="pas.dpr"/>
                <binary path="solutions/voc_ka.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/voc_mg.py" type="python.2"/>
                <binary path="solutions/voc_mg.pys" type="pythonx.2"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/voc_tl.dpr" type="pas.dpr"/>
                <binary path="solutions/voc_tl.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/voc_sf.cpp" type="cpp.g++"/>
                <binary path="solutions/voc_sf.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <statements>
        <statement format="tex" language="russian" path="statements/russian/problem.tex" title="Словарь"/>
    </statements>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <tags>
        <tag value="data processing"/>
        <tag value="moscow team"/>
    </tags>
</problem>
